// shoppingGuid/page/pages/achievement/achievement.js
const wxService = require('../../../../utils/wxService')
wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    info : {},
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let currentUserInfo = wx.getStorageSync('_baseUserInfo');
    let userInfo = wx.getStorageSync('_userInfo');
    if (currentUserInfo.member) {
      if (!currentUserInfo.member.name) {
        currentUserInfo.member.name = userInfo.nickName;
      }
    }

    console.log(currentUserInfo)

    this.setData({
      info: currentUserInfo
    });
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

})